Subject: Re: linux-next: manual merge of the pm tree with the arm-soc tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 21 Apr 2017 23:31:25 +0200

On Friday, April 21, 2017 02:02:35 PM [email-masked] wrote:
> 
> On 4/21/17 2:31 AM, Arnd Bergmann wrote:
> > On Fri, Apr 21, 2017 at 8:39 AM, [email-masked]
> > <[email-masked]> wrote:
> >> On 4/20/17 10:53 PM, Arnd Bergmann wrote:
> >>>
> >>> On Fri, Apr 21, 2017 at 2:54 AM, Stephen Rothwell <[email-masked]>
> >>> wrote:
> >>>>
> >>>> Hi all,
> >>>>
> >>>> Today's linux-next merge of the pm tree got a conflict in:
> >>>>
> >>>>   include/dt-bindings/genpd/k2g.h
> >>>>
> >>>> between commit:
> >>>>
> >>>>   7cc119f29b19 ("dt-bindings: Add TI SCI PM Domains")
> >>>>
> >>>> from the arm-soc tree and commit:
> >>>>
> >>>>   45da8edd1741 ("dt-bindings: Add TI SCI PM Domains")
> >>>>
> >>>> from the pm tree.
> >>>>
> >>>> I fixed it up (I just used the pm tree version) and can carry the fix as
> >>>> necessary. This is now fixed as far as linux-next is concerned, but any
> >>>> non trivial conflicts should be mentioned to your upstream maintainer
> >>>> when your tree is submitted for merging.  You may also want to consider
> >>>> cooperating with the maintainer of the conflicting tree to minimise any
> >>>> particularly complex conflicts.
> >>>
> >>>
> >>> Dave, Santosh,
> >>>
> >>> any idea what happened here? It seems that we picked up the wrong
> >>> version of the tree, do we need to drop this from arm-soc?
> >>>
> >> Nope. Its because this series was in my 'next' branch for a week or
> >> so and now it made it via arm-soc tree next as well.
> >>
> >> I just cleaned up my next head so it linux-next next tag should have
> >> only arm-soc copy.
> >
> > I still see two conflicting trees in linux-next as of today, neither of
> > them is your keystone tree:
> >
> In the list it was agreed that the patchset goes via arm-soc tree.

OK, I missed that when I looked at it again a couple of days ago, sorry.

I'll drop it from the pm-domains branch.

Thanks,
Rafael